QGIS Application - Feature request #9020
Add usesGeometry argument in qgsfunction decorator for use Expression in Python
2013-11-06 12:34 PM - Luiz Motta

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17675
Description

I would like fetch the geometry field inside the Expression's function.
At the moment, i can use the Geometry field for label, but, not populate the attributes inside table.

The method with name of function for QgsExpression (http://www.qggis.org/api/classQgsExpression_1_1Function.html), has the argument
if is used the geometry field, but, the decorator for Python, use only 2 arguments, the number for argument and the name of group.

It is nice if the decorator have the argument if use the Geometry field, then, i can use the expression for all uses type in QGIS, example,
populate attributes in table.

Associated revisions

Revision 45e712f1 - 2014-06-09 01:21 PM - Nathan Woodrow

Merge pull request #1432 from gvellut/master

Fix #9020

History

#1 - 2014-01-30 11:34 PM - Paolo Cavallini
- Target version changed from Version 2.0.0 to Future Release - High Priority

#2 - 2014-06-09 04:21 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"45e712f1002984a30bd4676ae82f8a3ffb8c3467".
